%define		tarball		xf86-input-vmmouse
%define		moduledir	%(pkg-config xorg-server --variable=moduledir )
%define		driverdir	%{moduledir}/input

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Xorg X11 vmmouse input driver
Name:		xorg-x11-drv-vmmouse
Version:	12.6.9
Release:	1
URL:		http://www.x.org
License:	MIT/X11
Group:		User Interface/X Hardware Support
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0:	ftp://ftp.x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2

# NOTE: We build the "vmware" driver on ia64, however the vmmouse driver
# fails during attempts to build it on ia64 saying it is for x86 only.
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	pkg-config
BuildRequires:	xorg-x11-server-sdk

Requires:	xorg-x11-server-Xorg

%description 
X.Org X11 vmmouse input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/lib/udev/rules.d/69-xorg-vmmouse.rules
%{_bindir}/vmmouse_detect
%{_libdir}/hal/hal-probe-vmmouse
%{_libdir}/xorg/modules/input/vmmouse_drv.so
%{_datadir}/hal/fdi/policy/20thirdparty/11-x11-vmmouse.fdi
%{_mandir}/man1/vmmouse_detect.1.gz
%{_mandir}/man4/vmmouse.4.gz
%{_datadir}/X11/xorg.conf.d/50-vmmouse.conf


%changelog
* Tue Aug 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 12.6.9-1
- Version Update
* Wed Dec 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 12.6.5-1
- Version update
* Sat May 23 2009 Christian Wasem <wasem@ccux-linux.de> 12.6.4-1
- Version update - x.org 1.6.1.901
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 12.5.1-1
- Version update
* Sun Oct 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 12.4.3-1
- Version update
* Tue Sep 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 12.4.2-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 12.4.1-2
- rebuilt against X.org 7.3
* Fri Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 12.4.1-1
- version update
* Sun Sep 17 2006 Christian Metzen <metzench@ccux-linux.de> 12.4.0-1
- Initial release
